Rollbacks a notebook instance to the previous version.

### HTTP request

`POST https://notebooks.googleapis.com/v2/{name}:rollback`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Format: `projects/{projectId}/locations/{location}/instances/{instanceId}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `notebooks.instances.rollback` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "targetSnapshot": string, "revisionId": string } ``` |

| Fields ||
|---|---|
| `targetSnapshot` | `string` Required. The snapshot for rollback. Example: "projects/test-project/global/snapshots/krwlzipynril". |
| `revisionId` | `string` Required. Output only. Revision Id |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/notebooks`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).